1 Reply Latest reply: Nov 20, 2012 7:11 PM by roaminggnome
Korislu Level 1 Level 1 (0 points)

My Iphone4s , original OS is IOS6, but I need google map for my work, so I would like to downgrade OS to IOS5


iPhone 4S, iOS 6.0.1